# Rev AI Sentiment Analysis API


Rev AI Sentiment Analysis API

Version: v1
License: Rev AI Terms of Service

## Servers

Rev AI API
```
https://api.rev.ai
```

## Security

### AccessToken

Type: http
Scheme: bearer

## Download OpenAPI description

[Rev AI Sentiment Analysis API
](https://docs.rev.ai/_bundle/api/sentiment-analysis/reference.yaml)

## Jobs

### Submit Sentiment Analysis Job

 - [POST /sentiment_analysis/v1/jobs](https://docs.rev.ai/api/sentiment-analysis/reference/jobs/submitsentimentanalysisjob.md): Starts an asynchronous job to analyze sentiments in a transcript.
The transcript can be supplied through text as plain text or json as a rev.com transcript format

### Get List of Sentiment Analysis Jobs

 - [GET /sentiment_analysis/v1/jobs](https://docs.rev.ai/api/sentiment-analysis/reference/jobs/getlistofsentimentanalysisjobs.md): Gets a list of sentiment analysis jobs submitted within the last 30 days in reverse chronological order up to the provided limit number of jobs per call. Note: Jobs older than 30 days will not be listed. Pagination is supported via passing the last job id from a previous call into starting_after.

### Get Sentiment Analysis Job By Id

 - [GET /sentiment_analysis/v1/jobs/{id}](https://docs.rev.ai/api/sentiment-analysis/reference/jobs/getsentimentanalysisjobbyid.md): Returns information about a sentiment analysis job

### Delete Sentiment Analysis Job by Id

 - [DELETE /sentiment_analysis/v1/jobs/{id}](https://docs.rev.ai/api/sentiment-analysis/reference/jobs/deletesentimentanalysisjobbyid.md): Deletes a sentiment analysis job. All data related to the job will be permanently deleted. A job can only be deleted once it's completed (either with success or failure).

### Get Sentiment Analysis Result By Id

 - [GET /sentiment_analysis/v1/jobs/{id}/result](https://docs.rev.ai/api/sentiment-analysis/reference/jobs/getsentimentanalysisresultbyid.md): Returns the results for a completed sentiment analysis job.

